Account
Get a key
One of your inference keys, by its hash.
Request
curl https://api.llm.buzz/api/v1/keys/{hash} \
-H "Authorization: Bearer $LLM_BUZZ_MANAGEMENT_KEY"Response
{
"data": {
"hash": "...",
"name": "CI key",
"label": "CI key",
"disabled": false,
"created_at": "...",
"updated_at": null,
"expires_at": null,
"last_used_at": null,
"limit": 5,
"limit_remaining": 5,
"limit_reset": "monthly",
"include_byok_in_limit": false,
"usage": 0,
"usage_daily": 0,
"usage_weekly": 0,
"usage_monthly": 0,
"byok_usage": 0,
"byok_usage_daily": 0,
"byok_usage_weekly": 0,
"byok_usage_monthly": 0,
"creator_user_id": "...",
"external_user": null,
"workspace_id": "default"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header",
"metadata": {
"error_type": "authentication",
"gateway_code": "missing_authentication"
}
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation; use a management key, created on the console Keys page",
"metadata": {
"error_type": "permission_denied",
"gateway_code": "management_key_required"
}
}
}{
"error": {
"code": 404,
"message": "No API key has this hash. GET /api/v1/keys lists the keys you manage.",
"metadata": {
"error_type": "not_found",
"gateway_code": "key_not_found",
"param": "hash"
}
}
}Authorization
A management key, created on the console's Keys page, as Authorization: Bearer KEY. The samples read it from $LLM_BUZZ_MANAGEMENT_KEY; an inference key gets 403 management_key_required.
Parameters
hashstringpathrequiredThe key's
hash, asGET /api/v1/keyslists it.
Response 200
The key, as {"data": ...}.
Errors
401No
Authorizationheader (missing_authentication), or the key is unknown, expired, revoked or disabled (invalid_key).403An inference key called a route that takes a management key. Create one on the console's Keys page.
404The hash names none of your inference keys.